package com.revfad.search.tests;

import com.revfad.gui.*;
import com.revfad.search.*;

import java.net.*;
import java.util.*;
import junit.framework.*;

/**
 * If you have JUnit on your classpath, you can run this test
 * as follows:
 * java junit.swingui.TestRunner com.revfad.search.tests.SearchToHTMLTest
 */
public class SearchToHTMLTest extends TestCase {

public static Test suite() {
    return new TestSuite(SearchToHTMLTest.class);
}

public void testDecodeEscapedUtf8() {
    assertEquals("\u8131\u88e4\u5b50\u653e\u5c41", SearchToHTML.decodeEscapedUtf8("%E8%84%B1%E8%A3%A4%E5%AD%90%E6%94%BE%E5%B1%81"));
}

public void testParseQuery() {
    Hashtable expected = new Hashtable();
    expected.put("q", "\u4ed6\u627e\u4e0d\u5230\u5de5\u4f5c");
    expected.put("ignore_html", "on");
    expected.put("whole_words", "on");
    expected.put("all", "on");
    expected.put("multiple", "on");
    
    assertEquals(expected, SearchToHTML.parseQuery("?q=%E4%BB%96%E6%89%BE%E4%B8%8D%E5%88%B0%E5%B7" +
    "%A5%E4%BD%9C&ignore_html=on&whole_words=on&all=on&multiple=on#smooch"));
}

}